(v1.0) LS Central replenishment API (1.0.0)

Download OpenAPI specification:

(v1.0) LS Central replenishment API for Dynamics 365 Business Central. Published by the LS Central AL API pages at /api/lsRetail/replenishment/v1.0.

Forecast Entry

A Forecast Entry holds the demand forecast for an item (and optional variant) at a replenishment location for a given date. External forecasting systems and partners can read existing forecasts and insert or update entries through this API. The data feeds replenishment journal calculations.

Get forecastEntries from companies

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

query Parameters
$top
number <int64> >= 0
Example: $top=50

Show only the first n items

$skip
number <int64> >= 0

Skip the first n items

$search
string

Search items by search phrases

$filter
string

Filter items by property values

$count
boolean

Include count of items

$orderby
Array of strings unique

Order items by property values

$select
Array of strings unique
Items Enum: "id" "itemNo" "variantCode" "locationCode" "date" "forecastQuantity" "forecastQuantityLower" "forecastQuantityUpper" "downloadedForecastQuantity" "downloadedForecastQuantityLower" "downloadedForecastQuantityUpper" "forecastQualityPercent" "locationDimension1Code" "locationDimension1LiftValue" "locationDimension2Code" "locationDimension2LiftValue" "locationDimension3Code" "locationDimension3LiftValue" "locationDimension4Code" "locationDimension4LiftValue" "locationDimension5Code" "locationDimension5LiftValue" "itemDimension1Code" "itemDimension1LiftValue" "itemDimension2Code" "itemDimension2LiftValue" "lastModifiedDateTime"

Select properties to be returned

$expand
Array of strings unique

Expand related entities

Responses

Response samples

Content type
application/json
{
  • "value": [
    ]
}

Create new navigation property to forecastEntries for companies

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

Request Body schema: application/json
required

New navigation property

id
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

Specifies the unique, immutable system identifier for this forecast entry. Use this value as the stable key for external references and OData navigation.

itemNo
null or string <= 20 characters

Specifies the number of the item.

variantCode
null or string <= 10 characters

Specifies the variant code of the item.

locationCode
null or string <= 10 characters

Specifies the replenishment location for the item.

date
null or string <date> ^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|...

Specifies the forecast date of the entry.

forecastQuantity
null or number <decimal>

Specifies the forecast quantity of the entry.

forecastQuantityLower
null or number <decimal>

Specifies the lower fence or the "lower limit" of the forecast quantity.

forecastQuantityUpper
null or number <decimal>

Specifies the upper fence or the "upper limit" of the forecast quantity.

downloadedForecastQuantity
null or number <decimal>

Specifies the forecast quantity of the entry downloaded from Retail Forecast.

downloadedForecastQuantityLower
null or number <decimal>

Specifies the lower fence or the "lower limit" of the forecast quantity downloaded from Retail Forecast.

downloadedForecastQuantityUpper
null or number <decimal>

Specifies the upper fence or the "upper limit" of the forecast quantity downloaded from Retail Forecast.

forecastQualityPercent
null or number <decimal>

Specifies the estimated accuracy of the forecast in percentage.

locationDimension1Code
null or string <= 20 characters

Specifies the 1st location-specific dimension.

locationDimension1LiftValue
null or number <decimal>

Specifies the calculated lift value of the 1st location-specific dimension.

locationDimension2Code
null or string <= 20 characters

Specifies the 2nd location-specific dimension.

locationDimension2LiftValue
null or number <decimal>

Specifies the calculated lift value of the 2nd location-specific dimension.

locationDimension3Code
null or string <= 20 characters

Specifies the 3rd location-specific dimension.

locationDimension3LiftValue
null or number <decimal>

Specifies the calculated lift value of the 3rd location-specific dimension.

locationDimension4Code
null or string <= 20 characters

Specifies the 4th location-specific dimension.

locationDimension4LiftValue
null or number <decimal>

Specifies the calculated lift value of the 4th location-specific dimension.

locationDimension5Code
null or string <= 20 characters

Specifies the 5th location-specific dimension.

locationDimension5LiftValue
null or number <decimal>

Specifies the calculated lift value of the 5th location-specific dimension.

itemDimension1Code
null or string <= 20 characters

Specifies the 1st item-specific dimension.

itemDimension1LiftValue
null or number <decimal>

Specifies the calculated lift value of the 1st item-specific dimension.

itemDimension2Code
null or string <= 20 characters

Specifies the 2nd item-specific dimension.

itemDimension2LiftValue
null or number <decimal>

Specifies the calculated lift value of the 2nd item-specific dimension.

lastModifiedDateTime
null or string <date-time> ^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|...

Specifies the UTC date and time when this forecast entry was last modified. Use this field to implement change-data-capture polling.

Responses

Request samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "itemNo": null,
  • "variantCode": null,
  • "locationCode": null,
  • "date": null,
  • "forecastQuantity": null,
  • "forecastQuantityLower": null,
  • "forecastQuantityUpper": null,
  • "downloadedForecastQuantity": null,
  • "downloadedForecastQuantityLower": null,
  • "downloadedForecastQuantityUpper": null,
  • "forecastQualityPercent": null,
  • "locationDimension1Code": null,
  • "locationDimension1LiftValue": null,
  • "locationDimension2Code": null,
  • "locationDimension2LiftValue": null,
  • "locationDimension3Code": null,
  • "locationDimension3LiftValue": null,
  • "locationDimension4Code": null,
  • "locationDimension4LiftValue": null,
  • "locationDimension5Code": null,
  • "locationDimension5LiftValue": null,
  • "itemDimension1Code": null,
  • "itemDimension1LiftValue": null,
  • "itemDimension2Code": null,
  • "itemDimension2LiftValue": null,
  • "lastModifiedDateTime": null
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "itemNo": null,
  • "variantCode": null,
  • "locationCode": null,
  • "date": null,
  • "forecastQuantity": null,
  • "forecastQuantityLower": null,
  • "forecastQuantityUpper": null,
  • "downloadedForecastQuantity": null,
  • "downloadedForecastQuantityLower": null,
  • "downloadedForecastQuantityUpper": null,
  • "forecastQualityPercent": null,
  • "locationDimension1Code": null,
  • "locationDimension1LiftValue": null,
  • "locationDimension2Code": null,
  • "locationDimension2LiftValue": null,
  • "locationDimension3Code": null,
  • "locationDimension3LiftValue": null,
  • "locationDimension4Code": null,
  • "locationDimension4LiftValue": null,
  • "locationDimension5Code": null,
  • "locationDimension5LiftValue": null,
  • "itemDimension1Code": null,
  • "itemDimension1LiftValue": null,
  • "itemDimension2Code": null,
  • "itemDimension2LiftValue": null,
  • "lastModifiedDateTime": null
}

Get forecastEntries from companies

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

forecastEntry-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of forecastEntry

query Parameters
$select
Array of strings unique
Items Enum: "id" "itemNo" "variantCode" "locationCode" "date" "forecastQuantity" "forecastQuantityLower" "forecastQuantityUpper" "downloadedForecastQuantity" "downloadedForecastQuantityLower" "downloadedForecastQuantityUpper" "forecastQualityPercent" "locationDimension1Code" "locationDimension1LiftValue" "locationDimension2Code" "locationDimension2LiftValue" "locationDimension3Code" "locationDimension3LiftValue" "locationDimension4Code" "locationDimension4LiftValue" "locationDimension5Code" "locationDimension5LiftValue" "itemDimension1Code" "itemDimension1LiftValue" "itemDimension2Code" "itemDimension2LiftValue" "lastModifiedDateTime"

Select properties to be returned

$expand
Array of strings unique

Expand related entities

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "itemNo": null,
  • "variantCode": null,
  • "locationCode": null,
  • "date": null,
  • "forecastQuantity": null,
  • "forecastQuantityLower": null,
  • "forecastQuantityUpper": null,
  • "downloadedForecastQuantity": null,
  • "downloadedForecastQuantityLower": null,
  • "downloadedForecastQuantityUpper": null,
  • "forecastQualityPercent": null,
  • "locationDimension1Code": null,
  • "locationDimension1LiftValue": null,
  • "locationDimension2Code": null,
  • "locationDimension2LiftValue": null,
  • "locationDimension3Code": null,
  • "locationDimension3LiftValue": null,
  • "locationDimension4Code": null,
  • "locationDimension4LiftValue": null,
  • "locationDimension5Code": null,
  • "locationDimension5LiftValue": null,
  • "itemDimension1Code": null,
  • "itemDimension1LiftValue": null,
  • "itemDimension2Code": null,
  • "itemDimension2LiftValue": null,
  • "lastModifiedDateTime": null
}

Update the navigation property forecastEntries in companies

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

forecastEntry-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of forecastEntry

Request Body schema: application/json

New navigation property values

id
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

Specifies the unique, immutable system identifier for this forecast entry. Use this value as the stable key for external references and OData navigation.

itemNo
null or string <= 20 characters

Specifies the number of the item.

variantCode
null or string <= 10 characters

Specifies the variant code of the item.

locationCode
null or string <= 10 characters

Specifies the replenishment location for the item.

date
null or string <date> ^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|...

Specifies the forecast date of the entry.

forecastQuantity
null or number <decimal>

Specifies the forecast quantity of the entry.

forecastQuantityLower
null or number <decimal>

Specifies the lower fence or the "lower limit" of the forecast quantity.

forecastQuantityUpper
null or number <decimal>

Specifies the upper fence or the "upper limit" of the forecast quantity.

downloadedForecastQuantity
null or number <decimal>

Specifies the forecast quantity of the entry downloaded from Retail Forecast.

downloadedForecastQuantityLower
null or number <decimal>

Specifies the lower fence or the "lower limit" of the forecast quantity downloaded from Retail Forecast.

downloadedForecastQuantityUpper
null or number <decimal>

Specifies the upper fence or the "upper limit" of the forecast quantity downloaded from Retail Forecast.

forecastQualityPercent
null or number <decimal>

Specifies the estimated accuracy of the forecast in percentage.

locationDimension1Code
null or string <= 20 characters

Specifies the 1st location-specific dimension.

locationDimension1LiftValue
null or number <decimal>

Specifies the calculated lift value of the 1st location-specific dimension.

locationDimension2Code
null or string <= 20 characters

Specifies the 2nd location-specific dimension.

locationDimension2LiftValue
null or number <decimal>

Specifies the calculated lift value of the 2nd location-specific dimension.

locationDimension3Code
null or string <= 20 characters

Specifies the 3rd location-specific dimension.

locationDimension3LiftValue
null or number <decimal>

Specifies the calculated lift value of the 3rd location-specific dimension.

locationDimension4Code
null or string <= 20 characters

Specifies the 4th location-specific dimension.

locationDimension4LiftValue
null or number <decimal>

Specifies the calculated lift value of the 4th location-specific dimension.

locationDimension5Code
null or string <= 20 characters

Specifies the 5th location-specific dimension.

locationDimension5LiftValue
null or number <decimal>

Specifies the calculated lift value of the 5th location-specific dimension.

itemDimension1Code
null or string <= 20 characters

Specifies the 1st item-specific dimension.

itemDimension1LiftValue
null or number <decimal>

Specifies the calculated lift value of the 1st item-specific dimension.

itemDimension2Code
null or string <= 20 characters

Specifies the 2nd item-specific dimension.

itemDimension2LiftValue
null or number <decimal>

Specifies the calculated lift value of the 2nd item-specific dimension.

lastModifiedDateTime
null or string <date-time> ^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|...

Specifies the UTC date and time when this forecast entry was last modified. Use this field to implement change-data-capture polling.

Responses

Request samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "itemNo": null,
  • "variantCode": null,
  • "locationCode": null,
  • "date": null,
  • "forecastQuantity": null,
  • "forecastQuantityLower": null,
  • "forecastQuantityUpper": null,
  • "downloadedForecastQuantity": null,
  • "downloadedForecastQuantityLower": null,
  • "downloadedForecastQuantityUpper": null,
  • "forecastQualityPercent": null,
  • "locationDimension1Code": null,
  • "locationDimension1LiftValue": null,
  • "locationDimension2Code": null,
  • "locationDimension2LiftValue": null,
  • "locationDimension3Code": null,
  • "locationDimension3LiftValue": null,
  • "locationDimension4Code": null,
  • "locationDimension4LiftValue": null,
  • "locationDimension5Code": null,
  • "locationDimension5LiftValue": null,
  • "itemDimension1Code": null,
  • "itemDimension1LiftValue": null,
  • "itemDimension2Code": null,
  • "itemDimension2LiftValue": null,
  • "lastModifiedDateTime": null
}

Response samples

Content type
application/json
{
  • "error": {
    }
}

Delete navigation property forecastEntries for companies

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

forecastEntry-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of forecastEntry

header Parameters
If-Match
string

ETag

Responses

Response samples

Content type
application/json
{
  • "error": {
    }
}

Company

Get entities from companies

Authorizations:
oAuth2basicAuth
query Parameters
$top
number <int64> >= 0
Example: $top=50

Show only the first n items

$skip
number <int64> >= 0

Skip the first n items

$search
string

Search items by search phrases

$filter
string

Filter items by property values

$count
boolean

Include count of items

$orderby
Array of strings unique

Order items by property values

$select
Array of strings unique
Items Enum: "id" "systemVersion" "timestamp" "name" "displayName" "businessProfileId" "systemCreatedAt" "systemCreatedBy" "systemModifiedAt" "systemModifiedBy"

Select properties to be returned

$expand
Array of strings unique
Items Value: "forecastEntries"

Expand related entities

Responses

Response samples

Content type
application/json
{
  • "value": [
    ]
}

Get entity from companies by key

Authorizations:
oAuth2basicAuth
path Parameters
company-id
required
string <uuid> ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}...

The unique identifier of company

query Parameters
$select
Array of strings unique
Items Enum: "id" "systemVersion" "timestamp" "name" "displayName" "businessProfileId" "systemCreatedAt" "systemCreatedBy" "systemModifiedAt" "systemModifiedBy"

Select properties to be returned

$expand
Array of strings unique
Items Value: "forecastEntries"

Expand related entities

Responses

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "systemVersion": null,
  • "timestamp": null,
  • "name": null,
  • "displayName": null,
  • "businessProfileId": null,
  • "systemCreatedAt": null,
  • "systemCreatedBy": null,
  • "systemModifiedAt": null,
  • "systemModifiedBy": null,
  • "forecastEntries": [
    ]
}